%define upstream_name    Data-Dumper
%define upstream_version 2.183

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert data structure into perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Given a list of scalars or reference variables, writes out their contents
in perl syntax. The references can also be objects. The content of each
variable is output in a single Perl statement. Handles self-referential
structures correctly.

The return value can be 'eval'ed to get back an identical copy of the
original reference structure.

Any references that are the same as one of those passed in will be named
'$VAR'_n_ (where _n_ is a numeric suffix), and other duplicate references
to substructures within '$VAR'_n_ will be appropriately labeled using arrow
notation. You can specify names for individual values to be dumped if you
use the 'Dump()' method, or you can change the default '$VAR' prefix to
something else. See '$Data::Dumper::Varname' and '$Data::Dumper::Terse'
below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/man3/*.3pm.*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.183.0-3.mga9
+ Revision: 1861765
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.183.0-2.mga9
+ Revision: 1796397
- Mageia 9 Mass Rebuild

* Wed Jul 07 2021 tv <tv> 2.183.0-1.mga9
+ Revision: 1735065
- update to 2.183

* Mon Jul 05 2021 tv <tv> 2.182.0-1.mga9
+ Revision: 1734781
- update to 2.182

* Thu May 27 2021 tv <tv> 2.181.0-1.mga9
+ Revision: 1728595
- update to 2.181

* Mon May 24 2021 umeabot <umeabot> 2.180.0-2.mga9
+ Revision: 1726500
- Rebuild for perl 5.34

* Thu May 20 2021 tv <tv> 2.180.0-1.mga9
+ Revision: 1725835
- update to 2.180

* Wed Jun 17 2020 umeabot <umeabot> 2.173.0-4.mga8
+ Revision: 1594395
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.173.0-3.mga8
+ Revision: 1529005
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 2.173.0-2.mga8
+ Revision: 1432891
- rebuild with perl-5.30

* Sun Nov 11 2018 tv <tv> 2.173.0-1.mga7
+ Revision: 1329462
- update to 2.173

* Wed Oct 17 2018 shlomif <shlomif> 2.172.0-1.mga7
+ Revision: 1321443
- update to 2.172

* Fri Sep 21 2018 umeabot <umeabot> 2.161.0-5.mga7
+ Revision: 1292684
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.161.0-4.mga7
+ Revision: 1249091
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.161.0-3.mga7
+ Revision: 1163746
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.161.0-2.mga7
+ Revision: 1148929
- Rebuild for perl ABI changes

* Wed Aug 02 2017 sander85 <sander85> 2.161.0-1.mga7
+ Revision: 1134054
- update to 2.161

* Sat Jul 22 2017 neoclust <neoclust> 2.154.0-8.mga7
+ Revision: 1126505
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.154.0-7.mga6
+ Revision: 1024797
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.154.0-6.mga6
+ Revision: 957056
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.154.0-5.mga6
+ Revision: 844771
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 2.154.0-4.mga6
+ Revision: 842445
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 2.154.0-3.mga5
+ Revision: 790011
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.154.0-2.mga5
+ Revision: 751164
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 jquelin <jquelin> 2.154.0-1.mga5
+ Revision: 735133
- update to 2.154

* Tue Sep 16 2014 umeabot <umeabot> 2.151.0-3.mga5
+ Revision: 684196
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.151.0-2.mga5
+ Revision: 631042
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 2.151.0-1.mga5
+ Revision: 602786
- update to 2.151

* Sat Oct 19 2013 umeabot <umeabot> 2.145.0-2.mga4
+ Revision: 526247
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2.145.0-1.mga4
+ Revision: 436395
- update to 2.145

* Wed May 29 2013 jquelin <jquelin> 2.139.0-4.mga4
+ Revision: 430625
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 2.139.0-3.mga3
+ Revision: 405467
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.139.0-2.mga3
+ Revision: 365296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.139.0-1.mga3
+ Revision: 341863
- update to 2.139

* Wed Nov 07 2012 jquelin <jquelin> 2.136.0-2.mga3
+ Revision: 315496
- perl 5.16.2 rebuild

* Mon Oct 15 2012 jquelin <jquelin> 2.136.0-1.mga3
+ Revision: 306051
- update to 2.136

* Wed May 30 2012 jquelin <jquelin> 2.131.0-4.mga3
+ Revision: 250458
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 2.131.0-3.mga2
+ Revision: 162797
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.131.0-2.mga2
+ Revision: 112045
- perl 5.14 rebuild

* Sun Jun 12 2011 ahmad <ahmad> 2.131.0-1.mga2
+ Revision: 104362
- Update to 2.131
+ sander85 <sander85>
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.128.0-3.mga1
+ Revision: 53578
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.128.0-2.mga1
+ Revision: 32741
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.128.0-1.mga1
+ Revision: 30069
- mageia rebuild
- imported package perl-Data-Dumper

